-- Copyright (C) ---Put here your own copyright and developer email---
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see https://www.gnu.org/licenses/.


CREATE TABLE IF NOT EXISTS llx_autoexport_exportauto(
	-- BEGIN MODULEBUILDER FIELDS
	rowid integer AUTO_INCREMENT PRIMARY KEY NOT NULL, 
	date_creation datetime NOT NULL, 
	tms timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL, 
	fk_user_creat integer NOT NULL, 
	fk_user_modif integer, 
	import_key varchar(14), 
	label varchar(255) NOT NULL, 
	requete_sql text, 
	frequence integer, 
	frequence_liste integer, 
	nb_gen_max integer, 
	envoiautoemail integer, 
	sujetemail varchar(255) NOT NULL, 
	expediteur varchar(255), 
	texte_email text, 
	destinataire varchar(255) NOT NULL, 
	destinataire_bcc varchar(255), 
	ref varchar(128) NOT NULL, 
	date_when datetime, 
	nb_gen_done integer, 
	date_last_gen datetime
	-- END MODULEBUILDER FIELDS
) ENGINE=innodb;
